-- Kerberos' Outposts

createPlayer4 = function()

	Logic.SetPlayerName(4, String.MainKey.."_Player4Name")

	--	describe the player structure
	
		player4 					= {}
		player4.id 					= 4

	--	set up default information

		local description = {
		
			serfLimit				=	12,
			--------------------------------------------------
			extracting				=	false,
			--------------------------------------------------
			rebuild = {
				delay				=	5,
				randomTime			=	5
			},
			--------------------------------------------------
			resources = {
				gold				=	2000,
				clay				=	1000,
				iron				=	1500,
				sulfur				=	1000,
				stone				=	1000,
				wood				=	2000
			},
			--------------------------------------------------
			refresh = {
				gold				=	100,
				clay				=	10,
				iron				=	100,
				sulfur				=	50,
				stone				=	10,
				wood				=	100,
				updateTime			=	5
			},
		}
		
		SetupPlayerAi(player4.id,description)
	
		Logic.SetTechnologyState(4, Technologies.T_LeatherMailArmor, 3)
		Logic.SetTechnologyState(4, Technologies.T_ChainMailArmor, 3)
		Logic.SetTechnologyState(4, Technologies.T_PlateMailArmor, 3)
		Logic.SetTechnologyState(4, Technologies.T_SoftArcherArmor, 3)
		Logic.SetTechnologyState(4, Technologies.T_PaddedArcherArmor, 3)
		Logic.SetTechnologyState(4, Technologies.T_LeatherArcherArmor, 3)
		Logic.SetTechnologyState(4, Technologies.T_MasterOfSmithery, 3)
		Logic.SetTechnologyState(4, Technologies.T_IronCasting, 3)
		Logic.SetTechnologyState(4, Technologies.T_Fletching, 3)
		Logic.SetTechnologyState(4, Technologies.T_BodkinArrow, 3)
		Logic.SetTechnologyState(4, Technologies.T_WoodAging, 3)
		Logic.SetTechnologyState(4, Technologies.T_Turnery, 3)
		Logic.SetTechnologyState(4, Technologies.T_EnhancedGunPowder, 3)
		Logic.SetTechnologyState(4, Technologies.T_BlisteringCannonballs, 3)
		Logic.SetTechnologyState(4, Technologies.T_BetterTrainingBarracks, 3)
		Logic.SetTechnologyState(4, Technologies.T_BetterTrainingArchery, 3)
		Logic.SetTechnologyState(4, Technologies.T_Shoeing, 3)
		Logic.SetTechnologyState(4, Technologies.T_Masonry, 3)
		Logic.SetTechnologyState(4, Technologies.T_SuperTechnology, 3)
		
		Logic.SetTechnologyState(6, Technologies.T_LeatherMailArmor, 3)
		Logic.SetTechnologyState(6, Technologies.T_ChainMailArmor, 3)
		Logic.SetTechnologyState(6, Technologies.T_PlateMailArmor, 3)
		Logic.SetTechnologyState(6, Technologies.T_SoftArcherArmor, 3)
		Logic.SetTechnologyState(6, Technologies.T_PaddedArcherArmor, 3)
		Logic.SetTechnologyState(6, Technologies.T_LeatherArcherArmor, 3)
		Logic.SetTechnologyState(6, Technologies.T_MasterOfSmithery, 3)
		Logic.SetTechnologyState(6, Technologies.T_IronCasting, 3)
		Logic.SetTechnologyState(6, Technologies.T_Fletching, 3)
		Logic.SetTechnologyState(6, Technologies.T_BodkinArrow, 3)
		Logic.SetTechnologyState(6, Technologies.T_WoodAging, 3)
		Logic.SetTechnologyState(6, Technologies.T_Turnery, 3)
		Logic.SetTechnologyState(6, Technologies.T_EnhancedGunPowder, 3)
		Logic.SetTechnologyState(6, Technologies.T_BlisteringCannonballs, 3)
		Logic.SetTechnologyState(6, Technologies.T_BetterTrainingBarracks, 3)
		Logic.SetTechnologyState(6, Technologies.T_BetterTrainingArchery, 3)
		Logic.SetTechnologyState(6, Technologies.T_Shoeing, 3)
		Logic.SetTechnologyState(6, Technologies.T_Masonry, 3)
		Logic.SetTechnologyState(6, Technologies.T_SuperTechnology, 3)
		
		Logic.SetTechnologyState(5, Technologies.T_LeatherMailArmor, 3)
		Logic.SetTechnologyState(5, Technologies.T_ChainMailArmor, 3)
		Logic.SetTechnologyState(5, Technologies.T_PlateMailArmor, 3)
		Logic.SetTechnologyState(5, Technologies.T_SoftArcherArmor, 3)
		Logic.SetTechnologyState(5, Technologies.T_PaddedArcherArmor, 3)
		Logic.SetTechnologyState(5, Technologies.T_LeatherArcherArmor, 3)
		Logic.SetTechnologyState(5, Technologies.T_MasterOfSmithery, 3)
		Logic.SetTechnologyState(5, Technologies.T_IronCasting, 3)
		Logic.SetTechnologyState(5, Technologies.T_Fletching, 3)
		Logic.SetTechnologyState(5, Technologies.T_BodkinArrow, 3)
		Logic.SetTechnologyState(5, Technologies.T_WoodAging, 3)
		Logic.SetTechnologyState(5, Technologies.T_Turnery, 3)
		Logic.SetTechnologyState(5, Technologies.T_EnhancedGunPowder, 3)
		Logic.SetTechnologyState(5, Technologies.T_BlisteringCannonballs, 3)
		Logic.SetTechnologyState(5, Technologies.T_BetterTrainingBarracks, 3)
		Logic.SetTechnologyState(5, Technologies.T_BetterTrainingArchery, 3)
		Logic.SetTechnologyState(5, Technologies.T_Shoeing, 3)
		Logic.SetTechnologyState(5, Technologies.T_Masonry, 3)
		Logic.SetTechnologyState(5, Technologies.T_SuperTechnology, 3)
	
	end
